<< ellip | FOSSEE_Signal_Processing_Toolbox | ellipord >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > ellipap

# ellipap

Produces a lowpass analog prototype elliptic filter.

### Syntax

    [z, p, g] = ellipap(n, Rp, Rs)

### Parameters

n:

  Positive integer. The order of the filter.

Rp:

  Non-negative scalar. The peak-to-peak passband ripple in decibels (dB).

Rs:

  Non-negative scalar. The stopband attenuation in decibels (dB).

z:

  Vector. The zeros of the filter.

p:

  Vector. The poles of the filter.

g:

  Scalar. The gain of the filter.

### Description

This function produces a lowpass analog elliptic prototype filter of order `n`, with a peak-to-peak passband ripple of `Rp` dB and a stopband attenuation of `Rs` dB.

### Examples

    [z, p, g] = ellipap(4, 3, 10)

### See also

- analpf

Report an issue
<< ellip | FOSSEE_Signal_Processing_Toolbox | ellipord >>